Bug 29617 - BorrowerUnwantedField should exclude the ability to hide categorycode
Summary: BorrowerUnwantedField should exclude the ability to hide categorycode
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Lucas Gass
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-12-01 19:56 UTC by Lucas Gass
Modified: 2022-07-05 09:34 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.05.00,21.11.07


Attachments
Bug 29617: exclude categorycode from BorrowerUnwantedField (1.35 KB, patch)
2021-12-02 01:45 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 29617: exclude categorycode from BorrowerUnwantedField (1.50 KB, patch)
2022-02-09 11:44 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 29617: exclude categorycode from BorrowerUnwantedField (1.55 KB, patch)
2022-02-13 14:05 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2021-12-01 19:56:19 UTC
BorrowerUnwantedField includes the ability to mark categorycode as unwanted/hidden. 

If you mark it as unwanted and try to add a new patron you will see an error:

"Something went wrong when creating the patron. Check the logs."


categorycode must not be hidden
Comment 1 Lucas Gass 2021-12-02 01:45:00 UTC
Created attachment 128145 [details] [review]
Bug 29617: exclude categorycode from BorrowerUnwantedField

To test:
1. Go to BorrowerUnwantedField and select categorycode as unwanted
2. Try adding a new patron, you will see an error message in the staff client "Something went wrong when creating the patron. Check the logs." You will be unable to make a new patron.
3. Apply patch
4. Go to BorrowerUnwantedField, you are unable to exlcude it. Patrons need categorycodes
Comment 2 Kyle M Hall 2022-02-09 11:44:33 UTC
Created attachment 130351 [details] [review]
Bug 29617: exclude categorycode from BorrowerUnwantedField

To test:
1. Go to BorrowerUnwantedField and select categorycode as unwanted
2. Try adding a new patron, you will see an error message in the staff client "Something went wrong when creating the patron. Check the logs." You will be unable to make a new patron.
3. Apply patch
4. Go to BorrowerUnwantedField, you are unable to exlcude it. Patrons need categorycodes

Signed-off-by: Emmanuel Bétemps <e.betemps@gmail.com>
Comment 3 Katrin Fischer 2022-02-13 14:05:22 UTC
Created attachment 130536 [details] [review]
Bug 29617: exclude categorycode from BorrowerUnwantedField

To test:
1. Go to BorrowerUnwantedField and select categorycode as unwanted
2. Try adding a new patron, you will see an error message in the staff client "Something went wrong when creating the patron. Check the logs." You will be unable to make a new patron.
3. Apply patch
4. Go to BorrowerUnwantedField, you are unable to exlcude it. Patrons need categorycodes

Signed-off-by: Emmanuel Bétemps <e.betemps@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Fridolin Somers 2022-02-16 21:52:07 UTC
Pushed to master for 22.05, thanks to everybody involved 🦄
Comment 5 Magnus Enger 2022-05-27 14:28:58 UTC
I just ran into this on 21.11. When I tried to change the categorycode of an existing patron I could choose the new category and saving looked ok, but the actual categorycode was not saved. No relevant info in console or logs. 

Would be nice to have this backported to 21.11.
Comment 6 Magnus Enger 2022-05-27 14:29:52 UTC
I think this should be a bug, not an enh?
Comment 7 Lucas Gass 2022-05-27 14:35:05 UTC
(In reply to Magnus Enger from comment #6)
> I think this should be a bug, not an enh?

I agree, a backport for this would be nice.
Comment 8 Kyle M Hall 2022-05-27 14:45:46 UTC
Pushed to 21.11.x for 21.11.07!
Comment 9 Magnus Enger 2022-05-30 09:43:07 UTC
(In reply to Kyle M Hall from comment #8)
> Pushed to 21.11.x for 21.11.07!

Awesome! Thanks!
Comment 10 Victor Grousset/tuxayo 2022-06-25 21:32:19 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.